Name:           pngcrush
Version:        1.8.13
Release:        %mkrel 6
Summary:        Utility to compress PNG files
Group:          Graphics/Utilities
License:        zlib
URL:            https://pmt.sourceforge.io/pngcrush
Source0:        https://downloads.sourceforge.net/pmt/%{name}-%{version}-nolib.tar.xz
# from Debian sid
Source1:        %{name}.sgml
Patch1:         0001-Check-for-defined-PNG_IGNORE_ADLER32.patch

BuildRequires:  docbook-utils
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(zlib)

%description
Pngcrush is an optimizer for PNG (Portable Network Graphics) files. It can
compress them as much as 40% losslessly.

%prep
%autosetup -p1 -n %{name}-%{version}-nolib

cp %{SOURCE1} .

%build
%make_build CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"

docbook2man %{name}.sgml

%install
install -D -m755 %{name} %{buildroot}%{_bindir}/%{name}
install -D -m0644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%files
%doc ChangeLog.html
%license LICENSE
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*


%changelog
* Sun May 19 2024 daviddavid <daviddavid> 1.8.13-6.mga10
+ Revision: 2064838
- add upstream patch to fix build
- package a manpage from debian

* Mon Sep 25 2023 daviddavid <daviddavid> 1.8.13-5.mga10
+ Revision: 1990756
- rebuild for new libpng 1.6.40

* Thu Mar 17 2022 umeabot <umeabot> 1.8.13-4.mga9
+ Revision: 1796716
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.8.13-3.mga8
+ Revision: 1516012
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.8.13-2.mga7
+ Revision: 1300325
- Mageia 7 Mass Rebuild

* Wed Oct 04 2017 tv <tv> 1.8.13-1.mga7
+ Revision: 1168478
- new release

* Sun Jan 29 2017 akien <akien> 1.8.11-1.mga6
+ Revision: 1084089
- Version 1.8.11

* Sun Jan 01 2017 luigiwalser <luigiwalser> 1.8.10-1.mga6
+ Revision: 1078935
- 1.8.10

* Wed Aug 10 2016 luigiwalser <luigiwalser> 1.8.4-1.mga6
+ Revision: 1045340
- 1.8.4

* Mon May 09 2016 luigiwalser <luigiwalser> 1.8.0-1.mga6
+ Revision: 1011803
- 1.8.0

* Mon Jan 25 2016 luigiwalser <luigiwalser> 1.7.92-1.mga6
+ Revision: 927191
- 1.7.92

* Thu Dec 31 2015 luigiwalser <luigiwalser> 1.7.91-1.mga6
+ Revision: 917254
- 1.7.91

* Sun Mar 08 2015 luigiwalser <luigiwalser> 1.7.84-1.mga5
+ Revision: 818123
- 1.7.84 (fixes CVE-2015-2158)

* Wed Oct 15 2014 umeabot <umeabot> 1.7.73-3.mga5
+ Revision: 745173
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7.73-2.mga5
+ Revision: 687690
- Mageia 5 Mass Rebuild

* Fri May 16 2014 sander85 <sander85> 1.7.73-1.mga5
+ Revision: 623055
- New version: 1.7.73

* Thu Feb 06 2014 tv <tv> 1.7.70-1.mga5
+ Revision: 584329
- new release

* Sat Oct 19 2013 umeabot <umeabot> 1.7.66-2.mga4
+ Revision: 530294
- Mageia 4 Mass Rebuild

* Mon Jul 22 2013 sander85 <sander85> 1.7.66-1.mga4
+ Revision: 457063
- New version: 1.7.66

* Mon Jun 03 2013 fwang <fwang> 1.7.59-2.mga4
+ Revision: 435512
- rebuild for new libpng

* Wed May 29 2013 tv <tv> 1.7.59-1.mga4
+ Revision: 432673
- new release
- new release

* Sun Jan 13 2013 umeabot <umeabot> 1.7.41-2.mga3
+ Revision: 377971
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Graphics/Other -> Graphics/Utilities

* Fri Oct 26 2012 fwang <fwang> 1.7.41-1.mga3
+ Revision: 310147
- update rpm group
- new version 1.7.41

* Tue Sep 04 2012 fedya <fedya> 1.7.37-1.mga3
+ Revision: 288253
- version update 1.7.37

* Tue Jul 24 2012 fwang <fwang> 1.7.32-1.mga3
+ Revision: 273950
- new version 1.7.32

* Sat Mar 03 2012 luigiwalser <luigiwalser> 1.7.25-1.mga2
+ Revision: 217488
- 1.7.25

* Thu Dec 08 2011 fwang <fwang> 1.7.22-1.mga2
+ Revision: 178950
- new version 1.7.22

* Sat Oct 15 2011 fwang <fwang> 1.7.20-1.mga2
+ Revision: 155357
- new version 1.7.20

* Sat Oct 08 2011 fwang <fwang> 1.7.17-2.mga2
+ Revision: 152913
- build with libpng 1.5

* Sun Sep 18 2011 fwang <fwang> 1.7.17-1.mga2
+ Revision: 144959
- new version 1.7.17

* Tue Sep 06 2011 tv <tv> 1.7.16-1.mga2
+ Revision: 139683
- new release

* Wed Mar 16 2011 tv <tv> 1.7.10-1.mga1
+ Revision: 72753
- imported package pngcrush


* Sat Jul 10 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7.10-1mdv2011.0
+ Revision: 550137
- update to new version 1.7.10

* Fri Feb 12 2010 Colin Guthrie <cguthrie@mandriva.org> 1.7.2-2mdv2010.1
+ Revision: 504924
- Compile against current libpng

* Mon Sep 14 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7.2-1mdv2010.0
+ Revision: 440760
- update to new version 1.7.2

* Sat Jul 18 2009 Oden Eriksson <oeriksson@mandriva.com> 1.7.0-1mdv2010.0
+ Revision: 397188
- 1.7.0
- use the nolib source

* Sun Jun 07 2009 Oden Eriksson <oeriksson@mandriva.com> 1.6.19-1mdv2010.0
+ Revision: 383710
- 1.6.19

* Wed Jun 03 2009 Frederik Himpe <fhimpe@mandriva.org> 1.6.17-1mdv2010.0
+ Revision: 382514
- update to new version 1.6.17

* Fri May 08 2009 Funda Wang <fwang@mandriva.org> 1.6.16-1mdv2010.0
+ Revision: 373383
- New version 1.6.16

* Thu Mar 05 2009 Frederik Himpe <fhimpe@mandriva.org> 1.6.15-1mdv2009.1
+ Revision: 349136
- update to new version 1.6.15

* Mon Feb 23 2009 Oden Eriksson <oeriksson@mandriva.com> 1.6.14-1mdv2009.1
+ Revision: 344093
- 1.6.14
- build against system libs (thanks fedora)

* Thu Jan 08 2009 Thierry Vignaud <tv@mandriva.org> 1.6.13-2mdv2009.1
+ Revision: 327213
- make doc readable

* Thu Jan 08 2009 Frederik Himpe <fhimpe@mandriva.org> 1.6.13-1mdv2009.1
+ Revision: 327212
- update to new version 1.6.13

* Wed Nov 19 2008 Frederik Himpe <fhimpe@mandriva.org> 1.6.11-1mdv2009.1
+ Revision: 304471
- update to new version 1.6.11

* Tue Aug 26 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.6.10-1mdv2009.0
+ Revision: 276301
- update to new version 1.6.10
- spec file clean
- update to new version 1.6.7
- spec file clean

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

* Thu May 22 2008 Frederik Himpe <fhimpe@mandriva.org> 1.6.6-1mdv2009.0
+ Revision: 210091
- New version
- Fix license
- Use sed hack to use Mandriva's default gcc, CFLAGS and LDFLAGS
- A few SPEC clean-ups

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu May 03 2007 Michael Scherer <misc@mandriva.org> 1.6.4-1mdv2008.0
+ Revision: 21511
- update to 1.6.4


* Mon Feb 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.6.3-2mdv2007.0
+ Revision: 122786
- kill merged patch
- Import pngcrush

* Sun Apr 23 2006 Jerome Soyer <saispo@mandriva.org> 1.6.3-1mdk
- New release 1.6.3

* Tue Mar 07 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.6.2-1mdk
- New release 1.6.2
- make rpmbuildupdate friendly

* Fri Oct 07 2005 Lenny Cartier <lenny@mandriva.com> 1.5.10-5mdk
- rebuild

* Fri Aug 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.5.10-4mdk
- rebuild

